githubEdit

Balance of

get

Retrieves the balance of a specific token for a user from the AAVE v3 Wallet Balance Provider.

Authorizations
AuthorizationstringRequired
Query parameters
contract_addressstringRequired
  • The address of the contract to query.
chain_idstringRequired
  • The ID of the blockchain network.
userstringRequired
  • The address of the user whose balance is being queried.
token_addressstringRequired
  • The address of the token to query the balance for.
Header parameters
AuthorizationstringRequired
  • The authorization token for the request.
Responses
chevron-right
200

A promise that resolves to an AAVEv3WalletBalanceProviderAPIResponse containing the balance as a string.

application/json

Represents the response from the AAVE v3 Wallet Balance Provider API.

successbooleanRequired

Indicates whether the API call was successful.

messagestringRequired

A message providing additional information about the API call.

datastringOptional

The data returned by the API call, if any.

get
/aave/v3/wallet-balance/balance-of
200

A promise that resolves to an AAVEv3WalletBalanceProviderAPIResponse containing the balance as a string.